MONGOC_WRITE_CONCERN_SET_FSYNC(3)

NAME
mongoc_write_concern_set_fsync() - Sets if a fsync must be performed before indicating write success.

SYNOPSIS

void
mongoc_write_concern_set_fsync (mongoc_write_concern_t *write_concern,
                                bool                    fsync_);

PARAMETERS

write_concern
    A mongoc_write_concern_t \&.

fsync_
    A boolean.

DESCRIPTION

Sets if a fsync must be performed before indicating write success.

DEPRECATED

NOTE
    The fsync write concern is deprecated.

Please use mongoc_write_concern_set_journal(3) instead.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.